routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Http\Request;

//Admin
use App\Http\Controllers\Admin\LoginController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\AdminUserController;
use App\Http\Controllers\Admin\CategoriessController;
use App\Http\Controllers\Admin\BannersController;
use App\Http\Controllers\Admin\PrivilegesController;
use App\Http\Controllers\Admin\TestimonialController;
use App\Http\Controllers\Admin\FaqController;
use App\Http\Controllers\Admin\RoleController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\LogsController;
use App\Http\Controllers\Admin\ConfigurationController;
use App\Http\Controllers\Admin\LeadsController;
use App\Http\Controllers\Admin\SchedulesController;
use App\Http\Controllers\Admin\TasksController;
use App\Http\Controllers\Admin\PackingMaterialsController;
use App\Http\Controllers\Admin\RoomsController;
use App\Http\Controllers\Admin\AdditionalChargesController;
use App\Http\Controllers\Admin\InventoryItemsController;
use App\Http\Controllers\Admin\FollowUpAutomationController;
use App\Http\Controllers\Admin\LeadsFollowUpController;
use App\Http\Controllers\Admin\TravelTimeController;
use App\Http\Controllers\Admin\FuelChargeController;
use App\Http\Controllers\Admin\SquareFootageController;
use App\Http\Controllers\Admin\FloorsController;
use App\Http\Controllers\Admin\EstimateRangeController;
use App\Http\Controllers\Admin\DistanceFromTruckController;
use App\Http\Controllers\Admin\ManHourCalculationsController;
use App\Http\Controllers\Admin\PayrollsController;
use App\Http\Controllers\Admin\FacilitiesController;
use App\Http\Controllers\Admin\UnitsController;
use App\Http\Controllers\Admin\BolinvoiceController;
use App\Http\Controllers\Admin\FleetsController;
use App\Http\Controllers\Admin\FleetsCalenderController;
use App\Http\Controllers\Admin\EstimateSettingsController;

use App\Http\Controllers\Admin\FleettypesController;
use App\Http\Controllers\Admin\ProspectInterestStatusesController;
use App\Http\Controllers\Admin\ReferredBySourceController;
use App\Http\Controllers\Admin\ExpertiseTypesController;
use App\Http\Controllers\Admin\ClientTagsController;

use App\Http\Controllers\Admin\EmployeesController;
use App\Http\Controllers\Admin\StatesController;

//Web
use App\Http\Controllers\Web\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/migrate', function () {
    Artisan::call('migrate:fresh');
    Artisan::call('db:seed');
    return "Migrated and seed";
});

Route::get('/clear-cache', function () {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('route:clear');
    return "Cache is cleared";
});
Route::get('/passport-install', function () {
    Artisan::call('passport:install --force');
    return "passport-install";
});

Route::resource('/', HomeController::class);
Route::get('/sign-up', function () {
    return view('web.login.signup');
});
Route::get('/home', function () {
  return view('home');
});
Route::get('/login', function () {
    return view('web.login.login');
});
Route::get('/forgot', function () {
    return view('web.login.forgot');
});
Route::get('/zoom-meeting', function () {
    return view('web.login.zoommeeting');
});
Route::put('/paymentresponse', function () {
    return view('web.home.paymentresponse');
});
Route::get('logOut', [HomeController::class,'logOut']);
Route::get('/about-us', [HomeController::class,'aboutUs']);
Route::get('/contact-us', [HomeController::class,'contactUs']);
Route::get('/dashboard', [HomeController::class,'Dashboard']);
Route::get('/my-profile', [HomeController::class,'MyProfile']);
Route::get('/reset-password', [HomeController::class,'Resetpassword']);
Route::get('/authentication', [HomeController::class,'Authentication']);
Route::get('/faqs', [HomeController::class,'Faqs']);
Route::post('postLead', [HomeController::class,'PostLead']);

Route::group(['prefix' => 'admin'], function() 
{
  Route::resource('/', LoginController::class);
  Route::get('/forgot', function () {
    return view('admin.login.forgot');
  });
  Route::get('/resetpassword', function () {
    return view('admin.login.resetpassword');
  });
  Route::get('/auth', function () {
    return view('admin.login.auth');
  });

  Route::get('logout', [LoginController::class,'logout']);

  Route::post('validateuser', [LoginController::class,'validateuser']);
  Route::post('auth', [LoginController::class,'auth']);
  Route::resource('dashboard', DashboardController::class);
  Route::resource('user', AdminUserController::class);
  Route::resource('privileges', PrivilegesController::class);
  Route::post('allowprivileges/{role_id}/{module_id}/{privilege_id}', [PrivilegesController::class,'allowprivileges'])->name('allowprivileges');
  Route::post('denyprivileges/{role_id}/{module_id}/{privilege_id}', [PrivilegesController::class,'denyprivileges'])->name('denyprivileges');
  Route::resource('banners', BannersController::class);
  Route::resource('logs', LogsController::class);
  Route::get('getlogsDownload', [LogsController::class,'getlogsDownload'])->name('getlogsDownload');
  Route::resource('configuration', ConfigurationController::class);
  Route::resource('categories', CategoriessController::class);
  Route::resource('faq', FaqController::class);
  Route::resource('testimonials', TestimonialController::class);
  Route::resource('role', RoleController::class);
  Route::resource('profile', ProfileController::class);
  Route::resource('leads', LeadsController::class);
  Route::resource('schedules', SchedulesController::class);  
  Route::resource('packingmaterials', PackingMaterialsController::class);
  Route::resource('rooms', RoomsController::class);
  Route::resource('inventoryitems', InventoryItemsController::class);
  Route::resource('additionalcharges', AdditionalChargesController::class);
  Route::resource('followupautomation', FollowUpAutomationController::class);
  Route::resource('leadsfollowup', LeadsFollowUpController::class);
  Route::resource('traveltime', TravelTimeController::class);
  Route::resource('fuelcharges', FuelChargeController::class);
  Route::resource('squarefootage', SquareFootageController::class);
  Route::resource('floors', FloorsController::class);  
  Route::resource('estimaterange', EstimateRangeController::class);
  Route::resource('distancefromtruck', DistanceFromTruckController::class);
  Route::resource('manhourcalculation', ManHourCalculationsController::class);
  Route::resource('payrolls', PayrollsController::class);
  Route::resource('facilities', FacilitiesController::class);
  Route::resource('units', UnitsController::class);
  Route::post('payrollsVerbige', [PayrollsController::class,'payrollsVerbige'])->name('payrollsVerbige');
  Route::resource('bolinvoice', BolinvoiceController::class);
  Route::post('updateVerbiage', [BolinvoiceController::class,'updateVerbiage'])->name('updateVerbiage');
  Route::post('updateBolText', [BolinvoiceController::class,'updateBolText'])->name('updateBolText');

  Route::post('addTermsandconditions', [BolinvoiceController::class,'addTermsandconditions'])->name('addTermsandconditions');
  Route::post('updateTerms', [BolinvoiceController::class,'updateTerms'])->name('updateTerms');
  Route::get('bolinvoice/editTerms/{id}', [BolinvoiceController::class,'editTerms']);
  Route::get('bolinvoice/deleteTerms/{id}', [BolinvoiceController::class,'deleteTerms']);

  Route::get('bolinvoice/editNoticeandpolicies/{id}', [BolinvoiceController::class,'editNoticeandpolicies']);
  Route::post('updateNoticeandpolicies', [BolinvoiceController::class,'updateNoticeandpolicies'])->name('updateNoticeandpolicies');
  
  Route::get('bolinvoice/editInvoiceNotes/{id}', [BolinvoiceController::class,'editInvoiceNotes']);
  Route::post('updateInvoiceNotes', [BolinvoiceController::class,'updateInvoiceNotes'])->name('updateInvoiceNotes');

  Route::get('bolinvoice/editInvoiceMaxPrice/{id}', [BolinvoiceController::class,'editInvoiceMaxPrice']);
  Route::post('updateInvoiceMaxPrice', [BolinvoiceController::class,'updateInvoiceMaxPrice'])->name('updateInvoiceMaxPrice');

Route::resource('fleets', FleetsController::class);
Route::resource('fleetscalender', FleetsCalenderController::class);
Route::post('fleetscalenderDetails', [FleetsCalenderController::class,'fleetscalenderDetails'])->name('fleetscalenderDetails');

Route::resource('estimatesettings', EstimateSettingsController::class);
Route::post('addEstimateLaborPrice', [EstimateSettingsController::class,'addEstimateLaborPrice'])->name('addEstimateLaborPrice');
Route::post('updateEstimateLaborPrice', [EstimateSettingsController::class,'updateEstimateLaborPrice'])->name('updateEstimateLaborPrice');
Route::get('deleteEstimateLaborPrice/{id}', [EstimateSettingsController::class,'deleteEstimateLaborPrice'])->name('deleteEstimateLaborPrice');
Route::post('updateEstimateLaborHour', [EstimateSettingsController::class,'updateEstimateLaborHour'])->name('updateEstimateLaborHour');
Route::post('updateEstimateDaysCapacity', [EstimateSettingsController::class,'updateEstimateDaysCapacity'])->name('updateEstimateDaysCapacity');
Route::post('updateHourlyServiceQuotedDefaults', [EstimateSettingsController::class,'updateHourlyServiceQuotedDefaults'])->name('updateHourlyServiceQuotedDefaults');
Route::post('UpdateHourlyPriceText', [EstimateSettingsController::class,'UpdateHourlyPriceText'])->name('UpdateHourlyPriceText');
Route::post('AddDefaultEstimateNotes', [EstimateSettingsController::class,'AddDefaultEstimateNotes'])->name('AddDefaultEstimateNotes');

resources/views/admin/categories/create.blade.php
@extends('admin.layouts.thememaster')
@section('title')
{{env('APP_NAME')}}-Categories
@endsection
@section('module')
Category
@endsection

@section('content')
@include('admin.components.message')
{{Form::component('ahText', 'admin.components.form.text', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}
{{Form::component('ahSelect', 'admin.components.form.select', ['name', 'labeltext'=>null, 'value' => null,'valuearray' => [], 'attributes' => []])}}
{{Form::component('ahNumber', 'admin.components.form.number', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}
{{Form::component('ahTextarea', 'admin.components.form.textarea', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}

{{ Form::open(array('onsubmit' => 'return CategoryValidate();','route' => 'categories.store','files'=>true)) }}

<div class="card mb-4">
   <div class="card-body after-loading-icon">
     <div class="container-fluid">
      	<div class="col-md-6">
        
				{{ Form::ahText('name','Category Name :','',array('maxlength' => '100'))  }}				
		    	{{ Form::ahSelect('is_active','Status :','1',array('1' => 'Active', '0' => 'Inactive')) }}
	    </div>
	    <div class="form-group">
		    <div class="panel-footer">
		        <div class="col-md-6 col-md-offset-3">
		            {{ Form::submit('Save', array('class' => 'btn btn-primary')) }}
		            {{ link_to_route('categories.index','Cancel',null, array('class' => 'btn btn-danger')) }}
		        </div>
		    </div>
	    </div>
	</div>
  </div>
</div>
@endsection

resources/views/admin/categories/edit.blade.php
@extends('admin.layouts.thememaster')
@section('title')
{{env('APP_NAME')}}-Categories
@endsection
@section('module')
Category
@endsection

@section('content')
@include('admin.components.message')
{{Form::component('ahText', 'admin.components.form.text', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}
{{Form::component('ahSelect', 'admin.components.form.select', ['name', 'labeltext'=>null, 'value' => null,'valuearray' => [], 'attributes' => []])}}
{{Form::component('ahNumber', 'admin.components.form.number', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}
{{Form::component('ahTextarea', 'admin.components.form.textarea', ['name', 'labeltext'=>null, 'value' => null, 'attributes' => []])}}

{{ Form::open(array('onsubmit' => 'return UserEditValidate();','method' => 'PUT', 'route' => array('categories.update',$category->id),'files'=>true)) }}
<div class="card mb-4">
   <div class="card-body after-loading-icon">
     <div class="container-fluid">
      	<div class="col-md-6">
			<div class="col-md-6">
                {{ Form::ahText('name','Category Name :',$category->name,array('maxlength' => '100'))  }}				
		        {{ Form::ahSelect('is_active','Status :',$category->is_active,array('1' => 'Active', '0' => 'Inactive')) }}
                </br>
		    </div>
	    <div class="form-group">
		    <div class="panel-footer">
		        <div class="col-md-6 col-md-offset-3">
		            {{ Form::submit('Update', array('class' => 'btn btn-primary')) }}
		            {{ link_to_route('categories.index','Cancel',null, array('class' => 'btn btn-danger')) }}
		        </div>
		    </div>
	    </div>
	</div>
  </div>
</div>
@endsection

resources/views/admin/categories/index.blade.php
@extends('admin.layouts.thememaster')
@section('title')
{{env('APP_NAME')}}-Categories
@endsection
@section('module')
Categories
@endsection

@section('content')
@include('admin.components.message')	

<div class="content-wrapper container-xxl p-0">
        <div class="content-header row"></div>
        <div class="content-body">
          <section id="dashboard-ecommerce">
            <div class="">
                                <div class="btn-group pull-right">
                                    @if($privileges['Add']=='true') 
                                    <a href="{{URL::to('admin/categories/create')}}" class="btn btn-info"><i class="fa fa-edit"></i>Add Category</a>
                                        @endif
                                </div>
              
                                <div class="table-bar2">
                                    <table id="example" class="table table-striped" style="width:100%">
                                    <thead class="thead">
                                            <tr>
                                                <th>Category Name</th>
                                                <th>Status</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($categories as $category)
                                    <tr>
                                        <td>
                                            {{$category->category_name}}
                                        </td>                                      
                                        <td>
                                            {{$category->status}}
                                        </td>                                       
                                        <td width="25%">
                                            <div >
                                                <div style="float:left;padding:0 10px 10px 0;">
                                                 @if($privileges['Edit']=='true')
                                                {{ link_to_route('categories.edit','Edit',array($category->id), array('class' => 'btn btn-info')) }}
                                                @endif 
                                                </div>
                                                <div style="float:left;padding-right:10px;">
                                                   @if($privileges['Delete']=='true')
                                                    {{ Form::open(array('onsubmit' => 'return confirm("Are you sure you want to delete?")','method' => 'DELETE', 'route' => array('categories.destroy', $category->id))) }}
                                                    <button type="submit" class="btn btn-danger btn-xs pull-right" style="font-size: 11px;padding: 11px 12px;">Delete</button>
                                                    {{ Form::close() }}
                                                   @endif
                                                </div>
                                            </div>
                                        </td>
                                         </tr>
                                    @endforeach
                                        </tbody>
                                    </table>
                                    {!! $categories->render() !!}
                                </div>
                                
   
                
            </div>
          </section>
        </div>  
      </div>

@endsection